[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TMasterDataLink.FieldNames

List of fieldnames that make up the master-detail relationship

## Declaration

Source position: db.pas line 1474

`public property TMasterDataLink.FieldNames: String read FFieldNames write SetFieldNames;`

## Description

FieldNames is a semicolon-separated list of fieldnames in the master dataset (TDatalink.Dataset) on which the master-detail relationship is based. Setting this property will fill the TMasterDataLink.Fields property with the field instances of the master dataset.

## See also

TMasterDataLink.Fields |  | List of fields as specified in FieldNames
TDatalink.Dataset |  | Dataset this datalink is connected to
TDataset.GetFieldList |  | Return field instances in a list

The latest version of this document can be found at lazarus-ccr.sourceforge.net .